Get SpatialOS

Sites

Menu
These are the docs for 12.0, an old version of SpatialOS. The docs for this version are frozen: we do not correct, update or republish them. 13.7 is the newest →

spatial setup install-dependencies

Checks for and installs all the software required to develop with SpatialOS for the current project’s SDK version.

Synopsis

This command attempts to install the required software dependencies for developing with the SpatialOS SDK version of the current project.

If a specific dependency is already installed but in the wrong version, a warning is issued together with recommendations on how to install the new version manually.

This command is only supported on Windows.

spatial setup install-dependencies

Options

      --dry-run   Used to check what would be installed by this command. Only outputs log messages and does not install software dependencies.
      --force     Pass --force to (re)install regardless of what might already be installed.

Options inherited from parent commands

      --sdk-version string   Override the SpatialOS SDK version that the setup commands operate for.

SEE ALSO

  • spatial setup - Commands to setup your computer for developing with SpatialOS.

Search results

Was this page helpful?

Thanks for letting us know!

Thanks for your feedback

Need more help? Ask on the forums